Subject: Re: perl threads problems using 20040720 snapshot
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Sun, 22 Aug 2004 03:56:43 -0700

On Sun, Jul 25, 2004 at 01:51:08PM -0700, Yitzchak Scott-Thoennes wrote:
> On Wed, Jul 21, 2004 at 12:18:36AM -0700, Yitzchak Scott-Thoennes wrote:
> > When using recent snapshots, perl threads have some problems.  For example:
> > 
> > $ perl 
-we'use threads; threads->new( sub { print "go" } )->join(); <>; print "done"';
> > 
> > Here, when the thread exits (after printing go), the whole process
> > also exits, instead of waiting for terminal input and printing done.
> 
> I am curious to know if this is only me or if others are also seeing it.

This is still a problem with the 20040821 snapshot.  Is there anything I can
do to help resolve this?  Does anyone else have this problem?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/